Package org.bukkit.event.entity

# Class EntityTeleportEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityTeleportEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `EntityPortalEvent`, `EntityPortalExitEvent`, `EntityTeleportEndGatewayEvent`

public class EntityTeleportEvent extends EntityEvent implements Cancellable
Thrown when a non-player entity is teleported from one location to another.
This may be as a result of natural causes (Enderman, Shulker), pathfinding (Wolf), or commands (/teleport).

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityTeleportEvent(@NotNull Entity what, @NotNull Location from, @Nullable Location to)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Location`
`getFrom()`
Gets the location that this entity moved from
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable Location`
`getTo()`
Gets the location that this entity moved to
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setFrom(@NotNull Location from)`
Sets the location that this entity moved from
`void`
`setTo(@Nullable Location to)`
Sets the location that this entity moved to

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityTeleportEvent

public EntityTeleportEvent(@NotNull @NotNull Entity what, @NotNull @NotNull Location from, @Nullable @Nullable Location to)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getFrom

@NotNull public @NotNull Location getFrom()
Gets the location that this entity moved from

Returns:
  Location this entity moved from

### setFrom

public void setFrom(@NotNull @NotNull Location from)
Sets the location that this entity moved from

Parameters:
  `from` - New location this entity moved from

### getTo

@Nullable public @Nullable Location getTo()
Gets the location that this entity moved to

Returns:
  Location the entity moved to

### setTo

public void setTo(@Nullable @Nullable Location to)
Sets the location that this entity moved to

Parameters:
  `to` - New Location this entity moved to

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()